मुख्य सामग्री पर जाएं
GET
/
2
/
compliance
/
jobs
/
{id}
id द्वारा अनुपालन जॉब प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/compliance/jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

पथ पैरामीटर

id
string
आवश्यक

प्राप्त किए जाने वाले Compliance Job की ID। अनुपालन जॉब ID।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1372966999991541762"

क्वेरी पैरामीटर

compliance_job.fields
enum<string>[]

प्रदर्शित करने के लिए ComplianceJob फ़ील्ड्स की अल्पविराम-से-पृथक सूची। ComplianceJob ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
created_at,
download_expires_at,
download_url,
id,
name,
resumable,
status,
type,
upload_expires_at,
upload_url
उदाहरण:
[
"created_at",
"download_expires_at",
"download_url",
"id",
"name",
"resumable",
"status",
"type",
"upload_expires_at",
"upload_url"
]

प्रतिक्रिया

अनुरोध सफल रहा।

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।